package auth

import (
	"gitea.com/macaron/binding"
	"gitea.com/macaron/macaron"
)

// CreateDatasetForm form for dataset page
type CreateDatasetForm struct {
	Title       string `binding:"Required"`
	Category    string `binding:"Required"`
	Description string `binding:"Required;MaxSize(254)"`
	License     string `binding:"OmitEmpty;MaxSize(64)"`
	Task        string
	Release_id  int64 `xorm:"INDEX"`
}

// Validate validates the fields
func (f *CreateDatasetForm) Validate(ctx *macaron.Context, errs binding.Errors) binding.Errors {
	return validate(errs, ctx.Data, f, ctx.Locale)
}
